$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.25-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.25-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EBFE9CF5DE6AD7B85BED9C02502C1813889D3DEDA61DE0243192523A3B1E5324'
  checksumType = 'sha256'
  checksum64 = 'EBFE9CF5DE6AD7B85BED9C02502C1813889D3DEDA61DE0243192523A3B1E5324'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.25-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
